#
# spec file for package lucene
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lucene
Version:        7.1.0
Release:        lp152.2.1
Summary:        Text search engine
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            http://lucene.apache.org/
Source0:        http://archive.apache.org/dist/lucene/java/%{version}/%{name}-%{version}-src.tgz
Source1:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-queryparser/%{version}/lucene-queryparser-%{version}.pom
Source2:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-join/%{version}/lucene-join-%{version}.pom
Source3:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-queries/%{version}/lucene-queries-%{version}.pom
Source4:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-classification/%{version}/lucene-classification-%{version}.pom
Source5:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-facet/%{version}/lucene-facet-%{version}.pom
Source6:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-codecs/%{version}/lucene-codecs-%{version}.pom
Source7:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-backward-codecs/%{version}/lucene-backward-codecs-%{version}.pom
Source8:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-grouping/%{version}/lucene-grouping-%{version}.pom
Source9:        http://repo1.maven.org/maven2/org/apache/lucene/lucene-highlighter/%{version}/lucene-highlighter-%{version}.pom
Source10:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-memory/%{version}/lucene-memory-%{version}.pom
Source11:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-misc/%{version}/lucene-misc-%{version}.pom
Source12:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-sandbox/%{version}/lucene-sandbox-%{version}.pom
Source13:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-spatial3d/%{version}/lucene-spatial3d-%{version}.pom
Source14:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-spatial/%{version}/lucene-spatial-%{version}.pom
Source15:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-analyzers-common/%{version}/lucene-analyzers-common-%{version}.pom
Source16:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-analyzers-smartcn/%{version}/lucene-analyzers-smartcn-%{version}.pom
Source17:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-analyzers-stempel/%{version}/lucene-analyzers-stempel-%{version}.pom
Source18:       http://repo1.maven.org/maven2/org/apache/lucene/lucene-core/%{version}/lucene-core-%{version}.pom
Patch0:         0001-Disable-ivy-settings.patch
Patch1:         0002-Dependency-generation.patch
Patch2:         lucene-java8compat.patch
Patch3:         lucene-osgi-manifests.patch
BuildRequires:  ant >= 1.6
BuildRequires:  ant-junit >= 1.6
BuildRequires:  antlr-java
BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-digester
BuildRequires:  apache-commons-logging
BuildRequires:  apache-ivy
BuildRequires:  fdupes
BuildRequires:  git
BuildRequires:  java-devel >= 1.8
BuildRequires:  javacc
BuildRequires:  javapackages-local
BuildRequires:  jtidy
BuildRequires:  junit
BuildRequires:  regexp
BuildRequires:  zip

%description
Apache Lucene is a full-text search engine written entirely in Java.
It offers fuzzy search based on edit (Levenshtein) distance,
incremental indexing, ranked searching, field-based searches and
multi-index searches.

%package core
Summary:        Text search engine
Group:          Development/Libraries/Java
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < %{version}-%{release}
BuildArch:      noarch

%description core
Apache Lucene is a full-text search engine written entirely in Java.
It offers fuzzy search based on edit (Levenshtein) distance,
incremental indexing, ranked searching, field-based searches and
multi-index searches.

%files core -f .mfiles-core
%license LICENSE.txt
%doc CHANGES.txt README.txt

%package queryparser
Summary:        Queryparser module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.lucene:lucene-queries)
Requires:       mvn(org.apache.lucene:lucene-sandbox)
BuildArch:      noarch

%description queryparser
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "queryparser" module for lucene.

%files queryparser -f .mfiles-queryparser

%package join
Summary:        Join module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description join
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "join" module for lucene.

%files join -f .mfiles-join

%package queries
Summary:        Queries module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description queries
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "queries" module for lucene.

%files queries -f .mfiles-queries

%package classification
Summary:        Classification module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.lucene:lucene-grouping)
Requires:       mvn(org.apache.lucene:lucene-queries)
BuildArch:      noarch

%description classification
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "classification" module for Lucene.

%files classification -f .mfiles-classification

%package facet
Summary:        Facet module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.lucene:lucene-queries)
BuildArch:      noarch

%description facet
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "facet" module for Lucene.

%files facet -f .mfiles-facet

%package codecs
Summary:        Codecs module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description codecs
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "codecs" module for Lucene.

%files codecs -f .mfiles-codecs

%package backward-codecs
Summary:        Backward-codecs module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description backward-codecs
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "backward-codecs" module for Lucene.

%files backward-codecs -f .mfiles-backward-codecs

%package grouping
Summary:        Grouping module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.lucene:lucene-queries)
BuildArch:      noarch

%description grouping
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "grouping" module for Lucene.

%files grouping -f .mfiles-grouping

%package highlighter
Summary:        Highlighter module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.lucene:lucene-join)
Requires:       mvn(org.apache.lucene:lucene-memory)
Requires:       mvn(org.apache.lucene:lucene-queries)
BuildArch:      noarch

%description highlighter
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "highlighter" module for Lucene.

%files highlighter -f .mfiles-highlighter

%package memory
Summary:        Memory module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description memory
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "memory" module for Lucene.

%files memory -f .mfiles-memory

%package misc
Summary:        Misc module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)

%description misc
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "misc" module for Lucene.

%files misc -f .mfiles-misc

%package sandbox
Summary:        Sandbox module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description sandbox
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "sandbox" module for Lucene.

%files sandbox -f .mfiles-sandbox

%package spatial3d
Summary:        Spatial3d module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description spatial3d
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "spatial3d" module for Lucene.

%files spatial3d -f .mfiles-spatial3d

%package spatial
Summary:        Spatial module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description spatial
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "spatial" module for Lucene.

%files spatial -f .mfiles-spatial

%package analyzers-common
Summary:        Analyzers-common module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
Provides:       %{name}-analysis = %{version}-%{release}
Obsoletes:      %{name}-analysis < %{version}-%{release}
BuildArch:      noarch

%description analyzers-common
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "analyzers-common" module for Lucene.

%files analyzers-common -f .mfiles-analyzers-common

%package analyzers-smartcn
Summary:        Analyzers-smartcn module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description analyzers-smartcn
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "analyzers-smartcn" module for Lucene.

%files analyzers-smartcn -f .mfiles-analyzers-smartcn

%package analyzers-stempel
Summary:        Analyzers-stempel module for lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description analyzers-stempel
Apache Lucene is a full-text search engine written entirely in Java.
This package provides the "analyzers-stempel" module for Lucene.

%files analyzers-stempel -f .mfiles-analyzers-stempel

%if 0

%package analyzers-icu
Summary:        Lucene ICU Analysis Components
Group:          Development/Libraries/Java
Requires:       mvn(com.ibm.icu:icu4j)
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description analyzers-icu
Provides integration with ICU (International Components for Unicode) for
stronger Unicode and internationalization support.

%files analyzers-icu -f .mfiles-analyzers-icu

%package analyzers-kuromoji
Summary:        Lucene Kuromoji Japanese Morphological Analyzer
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description analyzers-kuromoji
Lucene Kuromoji Japanese Morphological Analyzer.

%files analyzers-kuromoji -f .mfiles-analyzers-kuromoji

%package analyzers-morfologik
Summary:        Lucene Morfologik Polish Lemmatizer
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.carrot2:morfologik-fsa)
Requires:       mvn(org.carrot2:morfologik-polish)
Requires:       mvn(org.carrot2:morfologik-stemming)
BuildArch:      noarch

%description analyzers-morfologik
A dictionary-driven lemmatizer for Polish (includes morphosyntactic
annotations).

%files analyzers-morfologik -f .mfiles-analyzers-morfologik

%package analyzers-phonetic
Summary:        Lucene Phonetic Filters
Group:          Development/Libraries/Java
Requires:       mvn(commons-codec:commons-codec)
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description analyzers-phonetic
Provides phonetic encoding via Commons Codec.

%files analyzers-phonetic -f .mfiles-analyzers-phonetic

%package analyzers-uima
Summary:        Lucene UIMA Analysis Components
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.uima:Tagger)
Requires:       mvn(org.apache.uima:WhitespaceTokenizer)
Requires:       mvn(org.apache.uima:uimaj-core)
BuildArch:      noarch

%description analyzers-uima
Lucene Integration with UIMA for extracting metadata from arbitrary (text)
fields and enrich document with features extracted from UIMA types (language,
sentences, concepts, named entities, etc.).

%files analyzers-uima -f .mfiles-analyzers-uima

%package benchmark
Summary:        Lucene Benchmarking Module
Group:          Development/Libraries/Java
Requires:       mvn(com.ibm.icu:icu4j)
Requires:       mvn(net.sourceforge.nekohtml:nekohtml)
Requires:       mvn(org.apache.commons:commons-compress)
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-codecs)
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.lucene:lucene-facet)
Requires:       mvn(org.apache.lucene:lucene-highlighter)
Requires:       mvn(org.apache.lucene:lucene-join)
Requires:       mvn(org.apache.lucene:lucene-memory)
Requires:       mvn(org.apache.lucene:lucene-queries)
Requires:       mvn(org.apache.lucene:lucene-queryparser)
Requires:       mvn(org.apache.lucene:lucene-spatial-extras)
Requires:       mvn(org.locationtech.spatial4j:spatial4j)
Requires:       mvn(xerces:xercesImpl)
BuildArch:      noarch

%description benchmark
Lucene Benchmarking Module.

%files benchmark -f .mfiles-benchmark

%package demo
Summary:        Lucene Demo Module
Group:          Development/Libraries/Java
Requires:       mvn(javax.servlet:servlet-api)
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.lucene:lucene-expressions)
Requires:       mvn(org.apache.lucene:lucene-facet)
Requires:       mvn(org.apache.lucene:lucene-queries)
Requires:       mvn(org.apache.lucene:lucene-queryparser)
BuildArch:      noarch

%description 
Demo for Apache Lucene Java.

%files demo -f .mfiles-demo

%package expressions
Summary:        Lucene Expressions Module
Group:          Development/Libraries/Java
Requires:       mvn(org.antlr:antlr4-runtime)
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.ow2.asm:asm)
Requires:       mvn(org.ow2.asm:asm-commons)
BuildArch:      noarch

%description expressions
Dynamically computed values to sort/facet/search on based on a pluggable
grammar.

%files expressions -f .mfiles-expressions

%package replicator
Summary:        Lucene Replicator Module
Group:          Development/Libraries/Java
Requires:       mvn(commons-logging:commons-logging)
Requires:       mvn(javax.servlet:javax.servlet-api)
Requires:       mvn(org.apache.httpcomponents:httpclient)
Requires:       mvn(org.apache.httpcomponents:httpcore)
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.lucene:lucene-facet)
Requires:       mvn(org.eclipse.jetty:jetty-continuation)
Requires:       mvn(org.eclipse.jetty:jetty-http)
Requires:       mvn(org.eclipse.jetty:jetty-io)
Requires:       mvn(org.eclipse.jetty:jetty-server)
Requires:       mvn(org.eclipse.jetty:jetty-servlet)
Requires:       mvn(org.eclipse.jetty:jetty-util)
BuildArch:      noarch

%description replicator
Lucene Replicator Module.

%files replicator -f .mfiles-replicator

%package spatial-extras
Summary:        Spatial Strategies for Apache Lucene
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-core)
Requires:       mvn(org.apache.lucene:lucene-spatial3d)
Requires:       mvn(org.locationtech.spatial4j:spatial4j)
BuildArch:      noarch

%description spatial-extras
Spatial Strategies for Apache Lucene.

%files spatial-extras -f .mfiles-spatial-extras

%package suggest
Summary:        Lucene Suggest Module
Group:          Development/Libraries/Java
Requires:       mvn(org.apache.lucene:lucene-analyzers-common)
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description suggest
Lucene Suggest Module.

%files suggest -f .mfiles-suggest

%package test-framework
Summary:        Apache Lucene Java Test Framework
Group:          Development/Libraries/Java
Requires:       mvn(com.carrotsearch.randomizedtesting:randomizedtesting-runner)
Requires:       mvn(junit:junit)
Requires:       mvn(org.apache.lucene:lucene-codecs)
Requires:       mvn(org.apache.lucene:lucene-core)
BuildArch:      noarch

%description test-framework
Apache Lucene Java Test Framework.

%files test-framework -f .mfiles-test-framework

%endif

%prep
%setup -q

%patch0 -p2
%patch1 -p2
%patch2 -p1
%patch3 -p1

%build
export CLASSPATH=$(build-classpath commons-digester jtidy junit regexp)
export OPT_JAR_LIST=:
%ant \
  -Djavacc.home=%{_bindir}/javacc \
  -Djavacc.jar=%{_javadir}/javacc.jar \
  -Djavacc.jar.dir=%{_javadir} \
  -Djavadoc.link=%{_javadocdir}/java \
  -Dversion=%{version} \
  -Divy.mode=local -Divy.available=true

# DOESN'T BUILD BECAUSE OF MISSING DEPS: replicator expressions spatial-extras analyzers-kuromoji analyzers-morfologik analyzers-phonetic
export modules="queryparser join queries classification facet codecs backward-codecs grouping highlighter memory misc sandbox spatial3d spatial"

for mod in $modules
do
  %ant -f module-build.xml \
    -Djavacc.home=%{_bindir}/javacc \
    -Djavacc.jar=%{_javadir}/javacc.jar \
    -Djavacc.jar.dir=%{_javadir} \
    -Djavadoc.link=%{_javadocdir}/java \
    -Dversion=%{version} \
    -Divy.mode=local -Divy.available=true \
  jar-$mod
done

export modanalyzers="common smartcn stempel"
pushd analysis
%ant \
  -Djavacc.home=%{_bindir}/javacc \
  -Djavacc.jar=%{_javadir}/javacc.jar \
  -Djavacc.jar.dir=%{_javadir} \
  -Djavadoc.link=%{_javadocdir}/java \
  -Dversion=%{version} \
  -Divy.mode=local -Divy.available=true \
$modanalyzers

%install
install -d -m 0755 %{buildroot}%{_javadir}/%{name}
install -d -m 0755 %{buildroot}%{_jnidir}/%{name}

# maven pom dir
install -d -m 0755 %{buildroot}%{_mavenpomdir}/%{name}

export noarch_modules="core queryparser join queries classification facet codecs backward-codecs grouping highlighter memory sandbox spatial3d spatial"
for mod in $noarch_modules
do
  install -p -m 0644 build/${mod}/%{name}-$mod-%{version}.jar %{buildroot}%{_javadir}/%{name}/%{name}-$mod.jar
  ln -sf %{name}/%{name}-$mod.jar %{buildroot}%{_javadir}/%{name}-$mod.jar
  cp %{_sourcedir}/%{name}-${mod}-%{version}.pom build/${mod}/pom.xml
  %pom_remove_parent build/${mod}
  %pom_xpath_inject "pom:project" "<version>%{version}</version>" build/${mod}
  install -p -m 0644 build/${mod}/pom.xml %{buildroot}%{_mavenpomdir}/%{name}/%{name}-${mod}.pom
  %add_maven_depmap %{name}/%{name}-${mod}.pom %{name}/%{name}-${mod}.jar -f ${mod}
  echo %{_javadir}/%{name}-$mod.jar >> .mfiles-${mod}
done

export arch_modules="misc"
for mod in $arch_modules
do
  install -p -m 0644 build/${mod}/%{name}-$mod-%{version}.jar %{buildroot}%{_jnidir}/%{name}/%{name}-$mod.jar
  ln -sf %{name}/%{name}-$mod.jar %{buildroot}%{_jnidir}/%{name}-$mod.jar
  cp %{_sourcedir}/%{name}-${mod}-%{version}.pom build/${mod}/pom.xml
  %pom_remove_parent build/${mod}
  %pom_xpath_inject "pom:project" "<version>%{version}</version>" build/${mod}
  install -p -m 0644 build/${mod}/pom.xml %{buildroot}%{_mavenpomdir}/%{name}/%{name}-${mod}.pom
  %add_maven_depmap %{name}/%{name}-${mod}.pom %{name}/%{name}-${mod}.jar -f ${mod}
  echo %{_jnidir}/%{name}-$mod.jar >> .mfiles-${mod}
done

export modanalyzers="common smartcn stempel"
for mod in $modanalyzers
do
  install -p -m 0644 build/analysis/$mod/%{name}-analyzers-$mod-%{version}.jar %{buildroot}%{_javadir}/%{name}/%{name}-analyzers-${mod}.jar
  ln -sf %{name}/%{name}-analyzers-$mod.jar %{buildroot}%{_javadir}/%{name}-analyzers-$mod.jar
  cp %{_sourcedir}/lucene-analyzers-${mod}-%{version}.pom build/analysis/$mod/pom.xml
  %pom_remove_parent build/analysis/$mod
  %pom_xpath_inject "pom:project" "<version>%{version}</version>" build/analysis/$mod
  install -p -m 0644 build/analysis/$mod/pom.xml %{buildroot}%{_mavenpomdir}/%{name}/%{name}-analyzers-${mod}.pom
  %add_maven_depmap %{name}/%{name}-analyzers-${mod}.pom %{name}/%{name}-analyzers-${mod}.jar -f analyzers-${mod}
  echo %{_javadir}/%{name}-analyzers-$mod.jar >> .mfiles-analyzers-${mod}
done

# javadoc DOES NOT BUILD BECAUSE OF MISSING MVN DEPS
# javadoc
#install -d -m 0755 %%{buildroot}%%{_javadocdir}/%%{name}
#cp -pr build/docs/api/* \
#  %%{buildroot}%%{_javadocdir}/%%{name}

%changelog
* Mon Mar 23 2020 Fridrich Strba <fstrba@suse.com>
- Modified patch:
  * lucene-osgi-manifests.patch
    + add the OSGi manifest to queryparser module too
* Fri Oct 11 2019 Fridrich Strba <fstrba@suse.com>
- Modified patch:
  * lucene-osgi-manifests.patch
    + add the OSGi manifests also to modules that are currently
    not built due to missing dependencies
* Tue Oct  1 2019 Fridrich Strba <fstrba@suse.com>
- Remove a bogus log4j build dependency
* Thu Sep 26 2019 Fridrich Strba <fstrba@suse.com>
- Fix property Provides and Obsoletes in order to make upgrade
  smooth
- Added patch:
  * lucene-osgi-manifests.patch
    + Patch the build to produce OSGi manifests needed by eclipse
- Install the artifacts to "lucene" subdirectory and create
  compatibility symlinks
- Install lucene-misc as archful artifact, since it contains
  JNI code
* Thu Sep 26 2019 Fridrich Strba <fstrba@suse.com>
- Upgrade to version 7.1.0
- Added patches:
  * 0001-Disable-ivy-settings.patch
  * 0002-Dependency-generation.patch
    + Sync with Fedora's 7.1.0
  * lucene-java8compat.patch
    + Avoid using java9+ only functions
* Mon Jun 24 2019 Fridrich Strba <fstrba@suse.com>
- Remove the parent references from the pom files, since we are not
  building lucene using maven.
- Overhaul the packaging to distribute the artifacts and the
  corresponding metadata and pom files in the same package
- Specify runtime dependencies of the different packages
- Remove version information from the artifact names
* Mon Jun 24 2019 Ismail Dönmez <idonmez@suse.com>
- Remove the JPP prefix from pom filenames
* Tue Feb 12 2019 Fridrich Strba <fstrba@suse.com>
- Remove dependency on jline, because nothing in the build uses it
* Sat Dec 22 2018 Fridrich Strba <fstrba@suse.com>
- Require the different apache-commons-* packages instead of
  jakarta-commons-*
* Thu Nov  1 2018 Fridrich Strba <fstrba@suse.com>
- Do not require asm to build. Nothing depends on it
* Fri Sep 29 2017 fstrba@suse.com
- Minimum supported java is 1.8
* Mon Jul 10 2017 jengelh@inai.de
- Remove unused "%%package javadoc" declaration block.
- Trim filler words from descriptions.
  Say a thing about features.
* Thu Jun 29 2017 badshah400@gmail.com
- Update to version 6.6.0:
  + See https://lucene.apache.org/core/6_6_0/changes/Changes.html
    for a full list of changes.
- Drop patches that are no longer applicable or needed:
  + lucene-no-classpath-in-manifest.patch
  + lucene-no-get.patch
  + lucene-2.3.0-db-javadoc.patch
- Add BuildRequires: antlr-java, apache-commons-codec, apache-ivy,
  asm, fdupes, git
- Replace SOURCE0 by full source URL.
- Update to changed list of non-core modules:
  + Update source URL's for corresponding pom files.
  + Update %%%%install section to reflect changed list
  + Each module corresponds to a subpackage, named according to
    its jar file (except lucene which corresponds to the main
    jar file lucene-core-%%{version}.jar).
- Adapt file list to changes.
* Fri May 19 2017 dziolkowski@suse.com
- New build dependency: javapackages-local
* Wed Mar 18 2015 tchvatal@suse.com
- Fix build with new javapackages-tools
* Fri Jun 27 2014 tchvatal@suse.com
- Remove java-javdoc to build on sle11 again as the javadoc is
  also pulled in regardless.
* Tue Sep 10 2013 mvyskocil@suse.com
- use add_maven_depmap from javapackages-tools
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Tue Jun 26 2012 mvyskocil@suse.cz
- build require java-javadoc >= 1.6.0
* Thu Dec 10 2009 mvyskocil@suse.cz
- refreshed patches
  * lucene-2.3.0-db-javadoc.patch
  * lucene-no-get.patch
* Tue Sep 29 2009 mvyskocil@suse.cz
- fixed requires
* Tue May 26 2009 mvyskocil@suse.cz
- fixed bnc#507014: removed all jars from source tarball
* Tue May 12 2009 mvyskocil@suse.cz
- Initial SUSE packaging of lucene 2.4.1 (from jpp 5.0)
